#!/bin/bash
# RELEASE var is defined in build.sh script

set -ouex pipefail

# Enabling custom repository
rpm-ostree install https://mirrors.rpmfusion.org/free/fedora/rpmfusion-free-release-$RELEASE.noarch.rpm \
    https://mirrors.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$RELEASE.noarch.rpm

rpm-ostree install /tmp/rpms/ublue-os/ublue-os-nvidia*.rpm
rpm-ostree install /tmp/rpms/kmods/kmod-nvidia*.rpm
rpm-ostree install xorg-x11-drv-nvidia-cuda libva-nvidia-driver \
    nvidia-vaapi-driver libva-utils vdpauinfo

cp /tmp/scripts/nvidia/modprobe.d/*.conf /etc/modprobe.d/